<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>My Project: biblio::Reference Class Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><b>biblio</b></li><li class="navelem"><a class="el" href="classbiblio_1_1_reference.html">Reference</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="classbiblio_1_1_reference-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">biblio::Reference Class Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a931340d2b5dc40b7eeb1696ce940b574"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a931340d2b5dc40b7eeb1696ce940b574"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>Reference</b> (std::string, std::string, int, std::string)</td></tr>
<tr class="separator:a931340d2b5dc40b7eeb1696ce940b574"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab5c840fd76af068cb5884d8bc2f67215"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbiblio_1_1_reference.html#ab5c840fd76af068cb5884d8bc2f67215">reqAnnee</a> () const </td></tr>
<tr class="memdesc:ab5c840fd76af068cb5884d8bc2f67215"><td class="mdescLeft">&#160;</td><td class="mdescRight">Methode d'acces en lecture à l'attribut m_annee.  <a href="#ab5c840fd76af068cb5884d8bc2f67215">More...</a><br /></td></tr>
<tr class="separator:ab5c840fd76af068cb5884d8bc2f67215"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8583ba7a8b425440203fbde7137c4bcf"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbiblio_1_1_reference.html#a8583ba7a8b425440203fbde7137c4bcf">reqAuteurs</a> () const </td></tr>
<tr class="memdesc:a8583ba7a8b425440203fbde7137c4bcf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Methode d'acces en lecture à l'attribut m_auteurs.  <a href="#a8583ba7a8b425440203fbde7137c4bcf">More...</a><br /></td></tr>
<tr class="separator:a8583ba7a8b425440203fbde7137c4bcf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae821d04e4a8bc43a30f7fc291a6c8cda"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbiblio_1_1_reference.html#ae821d04e4a8bc43a30f7fc291a6c8cda">reqIdentifiant</a> () const </td></tr>
<tr class="memdesc:ae821d04e4a8bc43a30f7fc291a6c8cda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Methode d'acces en lecture à l'attribut m_identifiant.  <a href="#ae821d04e4a8bc43a30f7fc291a6c8cda">More...</a><br /></td></tr>
<tr class="separator:ae821d04e4a8bc43a30f7fc291a6c8cda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a89d65431619ccc68928ddf1c2248c25d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbiblio_1_1_reference.html#a89d65431619ccc68928ddf1c2248c25d">reqTitre</a> () const </td></tr>
<tr class="memdesc:a89d65431619ccc68928ddf1c2248c25d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Methode d'acces en lecture à l'attribut m_titre.  <a href="#a89d65431619ccc68928ddf1c2248c25d">More...</a><br /></td></tr>
<tr class="separator:a89d65431619ccc68928ddf1c2248c25d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1af43588113e9fb050dca4b57f74823d"><td class="memItemLeft" align="right" valign="top">std::string&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbiblio_1_1_reference.html#a1af43588113e9fb050dca4b57f74823d">reqReferenceFormate</a> ()</td></tr>
<tr class="memdesc:a1af43588113e9fb050dca4b57f74823d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Methode permettant de formater la reference selon ses attributs.  <a href="#a1af43588113e9fb050dca4b57f74823d">More...</a><br /></td></tr>
<tr class="separator:a1af43588113e9fb050dca4b57f74823d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a569046e891e20ddb0d2b6d46667f5559"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbiblio_1_1_reference.html#a569046e891e20ddb0d2b6d46667f5559">asgAuteurs</a> (const std::string &amp;p_auteurs)</td></tr>
<tr class="memdesc:a569046e891e20ddb0d2b6d46667f5559"><td class="mdescLeft">&#160;</td><td class="mdescRight">Methode peermettant de modifier les auteurs d'une reference.  <a href="#a569046e891e20ddb0d2b6d46667f5559">More...</a><br /></td></tr>
<tr class="separator:a569046e891e20ddb0d2b6d46667f5559"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c585e4059b2f0b6ff7fdab04b72149d"><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classbiblio_1_1_reference.html#a7c585e4059b2f0b6ff7fdab04b72149d">operator==</a> (<a class="el" href="classbiblio_1_1_reference.html">Reference</a> autreReference) const </td></tr>
<tr class="memdesc:a7c585e4059b2f0b6ff7fdab04b72149d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Surcharge de l'operateur "==" pour comparer deux objets <a class="el" href="classbiblio_1_1_reference.html">Reference</a>.  <a href="#a7c585e4059b2f0b6ff7fdab04b72149d">More...</a><br /></td></tr>
<tr class="separator:a7c585e4059b2f0b6ff7fdab04b72149d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Member Function Documentation</h2>
<a class="anchor" id="a569046e891e20ddb0d2b6d46667f5559"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void Reference::asgAuteurs </td>
          <td>(</td>
          <td class="paramtype">const std::string &amp;&#160;</td>
          <td class="paramname"><em>p_auteurs</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Methode peermettant de modifier les auteurs d'une reference. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramdir">[in]</td><td class="paramname">p_auteur</td><td>est le nom de l'auteur ou des auteurs </td></tr>
  </table>
  </dd>
</dl>
<dl class="section pre"><dt>Precondition</dt><dd>p_auteurs ne doit pas etre nul et doit avoir un format valide </dd></dl>
<dl class="section post"><dt>Postcondition</dt><dd>l'objet courant a été correctement assigne </dd></dl>
<dl class="section return"><dt>Returns</dt><dd>m_auteurs </dd></dl>

</div>
</div>
<a class="anchor" id="a7c585e4059b2f0b6ff7fdab04b72149d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool Reference::operator== </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="classbiblio_1_1_reference.html">Reference</a>&#160;</td>
          <td class="paramname"><em>autreReference</em></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Surcharge de l'operateur "==" pour comparer deux objets <a class="el" href="classbiblio_1_1_reference.html">Reference</a>. </p>
<dl class="section return"><dt>Returns</dt><dd>un booleen </dd></dl>

</div>
</div>
<a class="anchor" id="ab5c840fd76af068cb5884d8bc2f67215"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int Reference::reqAnnee </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Methode d'acces en lecture à l'attribut m_annee. </p>
<dl class="section return"><dt>Returns</dt><dd>m_annee </dd></dl>

</div>
</div>
<a class="anchor" id="a8583ba7a8b425440203fbde7137c4bcf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Reference::reqAuteurs </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Methode d'acces en lecture à l'attribut m_auteurs. </p>
<dl class="section return"><dt>Returns</dt><dd>m_auteurs </dd></dl>

</div>
</div>
<a class="anchor" id="ae821d04e4a8bc43a30f7fc291a6c8cda"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Reference::reqIdentifiant </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Methode d'acces en lecture à l'attribut m_identifiant. </p>
<dl class="section return"><dt>Returns</dt><dd>m_identifiant </dd></dl>

</div>
</div>
<a class="anchor" id="a1af43588113e9fb050dca4b57f74823d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Reference::reqReferenceFormate </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Methode permettant de formater la reference selon ses attributs. </p>
<dl class="section return"><dt>Returns</dt><dd>referenceFormatee, qui est la chaine de caracteres de la reference formatee </dd></dl>

</div>
</div>
<a class="anchor" id="a89d65431619ccc68928ddf1c2248c25d"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">string Reference::reqTitre </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td> const</td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Methode d'acces en lecture à l'attribut m_titre. </p>
<dl class="section return"><dt>Returns</dt><dd>m_titre </dd></dl>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="_reference_8h_source.html">Reference.h</a></li>
<li><a class="el" href="_reference_8cpp.html">Reference.cpp</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
</body>
</html>
